<?php
	/*=======================================================================
	 * copyright (c) AL-Design Works 
	 * http://cms.al-design.jp/
	 * このソースファイルは CMS Designer の一部です。
	 * 詳しいライセンス規約についてはウェブサイトを参照してください。
	 *=======================================================================
	 */

	//require_once( dirname(__FILE__) . "/app.php.inc" );
	require_once( dirname(__FILE__) . "/manager.util.php.inc" );
	
	require_once( dirname(__FILE__) . "/manager.base.php.inc" );

	/* --------------------------------------------------------------------
	 * セパレータ用入力項目クラス。
	 * 
	 */ 
	class SeparatorEntryItem extends BaseEntryItem
	{
		/* ----------------------------------------------------------------
		 * コンストラクタ。
		 * $xmlSchemaData : 対応するスキーマDataのXML要素。
		 */
		function SeparatorEntryItem( $xmlSchemaData, $entryName, $entryId  )
		{
			/// 2006.06.20 captionが空の場合にBaseEntryItemコンストラクタでエラーが出るのに対処（暫定処理）。
			$caption = $xmlSchemaData->get_attribute('caption');
			
			/// captionが未設定なら、ダミーとしてスペースを設定する。
			if ( strlen( $caption ) <= 0 )
			{
				$xmlSchemaData->set_attribute('caption', ' ');
			}
		
			// ベースコンストラクタの呼び出し。
			parent::BaseEntryItem( $xmlSchemaData, $entryName, $entryId  );
			
			/// caption未設定時のダミースペースを削除する。
			if ( strlen( $caption ) <= 0 )
			{
				$this->dataCaption = '';
			}
			
		}
		
		/* ----------------------------------------------------------------
		 * $xmlDocParentEntry : エントリのDOMオブジェクト。
		 * $setInitData : 初期値。trueが指定されていた場合、スキーマで指定された値が設定される。デフォルト値はtrue。
		 * return : 新規XMLノード。
		 */
		function createNew( $xmlDocParentEntry, $setInitData = true )
		{
			// セパレータなので対応するエントリノードは生成しない。
			// die( 'Error : SeparatorEntryItem:createNew is disabled.' );
			return null;
		}
		
		
		/* ----------------------------------------------------------------
		 * 入力内容でエントリ項目を更新する。
		 * $xpathEntry : エントリのXPathオブジェクト。
		 * $currentEntry : 現在のエントリ位置を表すXPath文字列。
		 */
		function update( $xpathEntry, $currentEntry )
		{
			// セパレータなので呼び出してはいけない。
			//die( 'Error : SeparatorEntryItem:createNew is disabled.' );
			return true;
		
		}
		

		/* ----------------------------------------------------------------
		 * フォーム項目を描画するHTMLを返す。
		 * $xpathEntry : エントリのXPathオブジェクト。
		 * $currentEntry : 現在のエントリ位置を表すXPath文字列。
		 */
		function renderFormItemXML( $xpathEntry, $currentEntry, &$xmlOutputEntryData )
		{
			// 何もしない。
		}				
		
	}

?>